public class PhysicsLab {
   public static void main(String[] args) {
      if (args.length != 3)  {
        System.out.println("usage: java PhysicsLab <delta_time[s]> <end_time[s]> <sampling_time[s]>");
        System.exit(-1);
      }
      double deltaTime = Double.parseDouble(args[0]);    // [s]
      double endTime = Double.parseDouble(args[1]);      // [s]
      double samplingTime = Double.parseDouble(args[2]); // [s]
      MyWorld world = new MyWorld(System.out);
      
      double mass = 1.0;      // [kg] 
      double position = 0.0;  // [m] 
      Ball b0 = new Ball(mass, position,0);
      Ball b1 = new Ball(mass, 1.5,0);
      world.addElement(b0);
      world.addElement(b1);
      Spring s = new Spring (1.0,1.0);
      s.attachEnd(b0);
      s.attachEnd(b1);
      world.addElement(s);
      world.simulate(deltaTime, endTime, samplingTime); // delta time[s], total simulation time [s].
   }
}